%global momorel 2

Summary: A program for benchmarking hard drives and filesystems
Name: bonnie++
Version: 1.96
Release: %{momorel}m%{?dist}
License: GPLv2
Group: Applications/System
URL: http://www.coker.com.au/bonnie++/
Source0: http://www.coker.com.au/bonnie++/experimental/bonnie++-%{version}.tgz
NoSource: 0
Patch0: bonnie++-1.96-makefile.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
bonnie++ filesystem and disk benchmark suite aggressively reads & writes
in various ways on your filesystem then outputs useful benchmark performance
data.  bonnie++ is also useful as a hardware, disk, and filesystem stability
test, exposing some types of hardware or kernel failures that would otherwise
be difficult to detect.

Do not leave bonnie++ installed on a production system.  Use only while you
test servers.

%prep
%setup -q
%patch0 -p1 -b .dest

%build
%configure --mandir=%{buildroot}%{_mandir}
make 

%install
rm -rf %{buildroot}
make install eprefix=%{buildroot}%{_prefix}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README-2.00 README.txt copyright.txt credits.txt readme.html
%{_bindir}/bon_csv2html
%{_bindir}/bon_csv2txt
%{_bindir}/generate_randfile
%{_sbindir}/bonnie++
%{_sbindir}/getc_putc
%{_sbindir}/getc_putc_helper
%{_sbindir}/zcav
%{_mandir}/man1/bon_csv2html.1*
%{_mandir}/man1/bon_csv2txt.1*
%{_mandir}/man1/generate_randfile.1*
%{_mandir}/man8/bonnie++.8*
%{_mandir}/man8/getc_putc.8*
%{_mandir}/man8/zcav.8*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.96-2m)
- full rebuild for mo7 release

* Sun Jul 18 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.96-1m)
- update to 1.96

* Sat Apr 24 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.03e-3m)
- use BuildRequires

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.03e-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Wed May 27 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.03e-1m)
- update to 1.03e

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.03a-8m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.03a-7m)
- rebuild against gcc43

* Sun Jan 13 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.03a-6m)
- add patch for gcc43, generated by gen43patch(v1)

* Fri Aug 13 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.03a-5m)
- rebuild against gcc-c++-3.4.1
- add BuildPrereq: gcc-c++

* Sun Jun 15 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.03a-4m)
- cancel 3m and the problem is fixed by glibc-2.3.2-4m

* Sun Jun 15 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.03a-3m)
- add bonnie++-1.03a-no-inline.patch in order to suppress prototype mismatch error on glibc-2.3.2

* Sat Mar  8 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.03a-2m)
- add URL tag

* Sat Jan 11 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.03a-1m)

* Sat Nov  9 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.02-11m)
- add gcc3 patch

* Thu May 30 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (1.02-10k)
- cancel gcc-3.1 autoconf-2.53

* Thu May 23 2002 Kazuhiko <kazuhiko@kondara.org>
- (1.02-8k)
- applied gcc 3.1 patch

* Tue Jan  1 2002 Kazuhiko <kazuhiko@kondara.org>
- (1.02-6k)
- fix a broken symlink in doc dir

* Mon Dec  1 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.02-4k)
- modife Groups

* Sun Sep 30 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.02-2k)
- first Kondarization

* Wed Sep 06 2000 Rob Latham <rlatham@plogic.com>
- first packaging
